Subject: Re: bug#55832: 28.1; Emacs crashes when using tramp from helm in emacs-29

From: Michael Albinus <[email-masked]>
Date: Fri, 17 Jun 2022 18:54:08 +0200

Thierry Volpiatto <[email-masked]> writes:

> Hi Michael,

Hi Thierry,

>> I made a code review of using property "process-buffer" in Tramp, and
>> there is indeed a case it behaves incorrectly: after spawning an
>> asynchronous process. Recipe:
>>
>> # emacs -Q /sudo::
>>
>> M-: (tramp-list-connections)
>> => ((tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("gandalf" 0 7 (tramp-default t)) nil nil nil))
>>
>> M-x async-shell-command RET ls
>
> Probably there is something else than this but couldn't figure out what, I
> will let you know if I find other use cases.

According to the code review, out-of-band methods (like "scp") are
suspicious, too. And there might be some corner cases with the "smb" method.

I haven't tried to compose further recipes for problematic cases. I have
simply changed the handling of the "process-buffer" and "process-name"
properties in all Tramp files. This shall be good enough.

>> M-: (tramp-list-connections)
>> nil
>>
>> I'm working on a fix.
>
> Great thanks.

I've pushed the fix to master.

Best regards, Michael.